Subject: remove Google support from GVFS?

From: raingloom <[email-masked]>
Date: Wed, 24 Nov 2021 06:00:15 +0100

I'd love to say it's because I want the package to be more in line with
libre software guidelines, but honestly I just don't want WebKitGTK as
a transitive input. A few weeks ago I had to remove GVFS from my system
because WebKitGTK was failing to build.

Then again if I had to connect to Google Drive or Picasa or whatever
I'd rather do it through libre software, so maybe it should stay.

Too bad we still don't have package options.

So, what do yall think, should I just create a custom package on my own
channel that disables all that junk, or is this something everyone
wants?

ps.: if any GVFS devs are reading this, the bug that caused me to
almost delete my entire file system is still unaddressed. :)
https://gitlab.gnome.org/GNOME/gvfs/-/issues/202
https://gitlab.gnome.org/GNOME/gvfs/-/issues/364